> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsomble.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a recommendation note

> Requires the recommendations:update scope.



## OpenAPI

````yaml /openapi/public-api-v1.json patch /v1/sites/{siteId}/recommendations/{recommendationId}/notes/{activityId}
openapi: 3.0.0
info:
  title: Onsomble API
  description: >-
    Connect Onsomble to your reporting and operational workflows. Read
    discoverability results or start a Scan from another system.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.onsomble.ai
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Sites
    description: Sites connected to your account.
  - name: Clients
    description: Clients managed by agency accounts.
  - name: Scans
    description: Scan history, status, and controls.
  - name: Reports
    description: AI discoverability results.
paths:
  /v1/sites/{siteId}/recommendations/{recommendationId}/notes/{activityId}:
    patch:
      tags:
        - Sites
      summary: Update a recommendation note
      description: Requires the recommendations:update scope.
      operationId: updateNote
      parameters:
        - name: siteId
          required: true
          in: path
          schema:
            type: string
        - name: recommendationId
          required: true
          in: path
          schema:
            type: string
        - name: activityId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecommendationNoteBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationNotesResponseDto'
components:
  schemas:
    RecommendationNoteBodyDto:
      type: object
      properties:
        body:
          type: string
      required:
        - body
    RecommendationNotesResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RecommendationNoteDto'
      required:
        - data
    RecommendationNoteDto:
      type: object
      properties:
        activityId:
          type: string
          format: uuid
        body:
          type: string
        createdAt:
          type: string
      required:
        - activityId
        - body
        - createdAt
  securitySchemes:
    apiKeyAuth:
      scheme: bearer
      bearerFormat: ons_…
      type: http
      description: An API key created in Settings → Account → API Keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.